PACKFILE_VTABLE(3)

NAME
PACKFILE_VTABLE - Packfile vtable structure, for custom packfiles. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

typedef struct PACKFILE_VTABLE

DESCRIPTION
   int pf_fclose(void *userdata);
   int pf_getc(void *userdata);
   int pf_ungetc(int c, void *userdata);
   long pf_fread(void *p, long n, void *userdata);
   int pf_putc(int c, void *userdata);
   long pf_fwrite(const void *p, long n, void *userdata);
   int pf_fseek(void *userdata, int offset);
   int pf_feof(void *userdata);
   int pf_ferror(void *userdata);

This is the vtable which must be provided for custom packfiles, which then can read from and write to wherever you like (eg. files in memory). You should provide all the entries of the vtable, even if they are empty stubs doing nothing, to avoid Allegro (or you) calling a NULL method at some point.

SEE ALSO
pack_fopen_vtable(3), expackf(3)